#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:  
# Use, duplication or disclosure restricted by GSA ADP Schedule 
# Contract with IBM Corp. 
#*******************************************************************************

use strict;
use CQPerlExt;

my $numArgs = @ARGV;

if ($numArgs != 10) {
   print STDERR ("Error: Incorrect Number of Arguments\n");
   print STDERR ("Usage: ratlperl CreateUCMActivity -username <user> -password <password> -userdb <user db> -dbset <dbset> -headline <headline>\n");
   exit(1);
}	

my $CQSession = CQSession::Build();

$CQSession->UserLogon($ARGV[1], $ARGV[3], $ARGV[5], $ARGV[7]);

my $EntityObj = $CQSession->BuildEntity("UCMUtilityActivity");

$EntityObj->SetFieldValue("Headline", $ARGV[9]);
$EntityObj->SetFieldValue("Description", $ARGV[9]);

my $Status = $EntityObj->Validate();

if ($Status == "") {
   $Status = $EntityObj->Commit();

   if ($Status == "") {
      my $ID = $EntityObj->GetDisplayName();
      print("$ID\n");
   } else {
      print STDERR ("ERROR: Unable to commit entity\n");
      exit(1);
   }
} else {
   print STDERR ("ERROR: Unable to validate entity\n");
   exit(1);
}